Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
Class SimpleGroovyRootDoc

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
          org.codehaus.groovy.tools.groovydoc.SimpleGroovyRootDoc

All Implemented Interfaces:
  Comparable, GroovyDoc, GroovyDocErrorReporter, GroovyRootDoc

    public class SimpleGroovyRootDoc

extends SimpleGroovyDoc
implements GroovyRootDoc

Constructor Summary
`SimpleGroovyRootDoc(String name)`

Method Summary
`GroovyClassDoc[]` | `classes()`
`GroovyClassDoc` | `classNamed(String name)`
`Map` | `getVisibleClasses(List importedClassesAndPackages)`
`String[][]` | `options()`
`GroovyPackageDoc` | `packageNamed(String packageName)`
`void` | `printError(String arg0)`
`void` | `printNotice(String arg0)`
`void` | `printWarning(String arg0)`
`void` | `put(String packageName, GroovyPackageDoc packageDoc)`
`void` | `putAllClasses(Map classes)`
`void` | `resolve()`
`GroovyClassDoc[]` | `specifiedClasses()`
`GroovyPackageDoc[]` | `specifiedPackages()`

Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
`commentText, compareTo, firstSentenceCommentText, getDocUrl, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, replaceAllTags, setAsInterfaceDefinition, setRawCommentText, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc
`commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### SimpleGroovyRootDoc

    public SimpleGroovyRootDoc(String name)

Method Detail

### classNamed

    public GroovyClassDoc classNamed(String name)

  Specified by:
    `classNamed` in interface `GroovyRootDoc`

### classes

    public GroovyClassDoc[] classes()

  Specified by:
    `classes` in interface `GroovyRootDoc`

### options

    public String[][] options()

  Specified by:
    `options` in interface `GroovyRootDoc`

### packageNamed

    public GroovyPackageDoc packageNamed(String packageName)

  Specified by:
    `packageNamed` in interface `GroovyRootDoc`

### putAllClasses

    public void putAllClasses(Map classes)

### put

    public void put(String packageName,
                    GroovyPackageDoc packageDoc)

### specifiedClasses

    public GroovyClassDoc[] specifiedClasses()

  Specified by:
    `specifiedClasses` in interface `GroovyRootDoc`

### specifiedPackages

    public GroovyPackageDoc[] specifiedPackages()

  Specified by:
    `specifiedPackages` in interface `GroovyRootDoc`

### getVisibleClasses

    public Map getVisibleClasses(List importedClassesAndPackages)

  Specified by:
    `getVisibleClasses` in interface `GroovyRootDoc`

### printError

    public void printError(String arg0)

  Specified by:
    `printError` in interface `GroovyDocErrorReporter`

### printNotice

    public void printNotice(String arg0)

  Specified by:
    `printNotice` in interface `GroovyDocErrorReporter`

### printWarning

    public void printWarning(String arg0)

  Specified by:
    `printWarning` in interface `GroovyDocErrorReporter`

### resolve

    public void resolve()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD